Subject: Re: linux-next: question about the luto-misc tree

From: "Paul E. McKenney" <[email-masked]>
Date: Wed, 31 Dec 2014 05:16:02 -0800

On Sun, Dec 28, 2014 at 07:33:43AM -0800, Andy Lutomirski wrote:
> On Dec 25, 2014 5:33 PM, "Stephen Rothwell" <[email-masked]> wrote:
> >
> > Hi Andy,
> >
> > On Mon, 22 Dec 2014 11:16:56 -0800 Andy Lutomirski <[email-masked]>
> wrote:
> > >
> > > I'm re-adding the branch, since 3.19-rc1 is out, the change appears to
> > > still exist as-is in your tree, and it merges cleanly and builds in
> > > the latest -next for me.  Let me know if this will be problematic for
> > > any reason.
> >
> > So, now we have a problem because Paul has rebased a whole set of
> > commits that you have in your tree.  Commits c6dc129cf2d1 to
> > f58d100f65ae in your tree Paul has rebased on top of v3.19-rc1.  If you
> > are going to base your tree on (part of) Paul's tree, then Paul has to
> > agree to not rebase that part of his tree or you have to keep a watch
> > on his tree and rebase you tree on top of those rebased commits.
> > Really, the first should happen.
> 
> Are there any scripts out there that can do this for me?
> 
> Paul, when do you expect to be done rebasing?  Or, even better, when do you
> expect to send all of this to -tip?  If the latter will be reasonably soon,
> I can just wait for that.

I believe that I have it where it will live from here on out, namely
at 734d16801349 (rcu: Make rcu_nmi_enter() handle nesting) in -rcu.
The only reason I would move it is if it turned out to be fatally buggy,
but given your testing the odds of this happening are hopefully quite low.
(Famous last words!)

							Thaxnx, Paul